// Bryan Schumaker (12 / 27 / 2010)

function set_attr(attr, id)
{
	var req = new XMLHttpRequest();
	req.onreadystatechange = function()
	{
		if (req.readyState == 4 && req.status == 200)
		{
			document.getElementById(id).innerHTML = req.responseText;
		}
	}

	req.open('GET', "controls.py?a=" + attr, true);
	req.send();
	setTimeout("set_attr(\"" + attr + "\", \"" + id + "\")", 3000)
}

function set_attr_once(attr, id)
{
	var req = new XMLHttpRequest();
	req.onreadystatechange = function()
	{
		if (req.readyState == 4 && req.status == 200)
		{
			document.getElementById(id).innerHTML = req.responseText;
		}
	}
	req.open('GET', "controls.py?a=" + attr, true);
	req.send();
}

function send_request(url)
{
	var http = new XMLHttpRequest();
	http.open('GET', url, true);
	http.send();
}
